homeassistant:
  name: Home
  latitude: !secret home_lat
  longitude: !secret home_long
  elevation: !secret home_elevation
  unit_system: metric
  time_zone: Europe/Berlin
  customize: !include_dir_merge_named config/customizations/
  auth_providers:
    - type: homeassistant
    - type: trusted_networks
      trusted_networks:
        - 127.0.0.1
        - ::1
        - 192.168.0.0/16
        - fd00::/8

config:
conversation:
device_tracker:
#discovery:
history:
logbook:
map:
mobile_app:
recorder:
sun:
stream:
system_health:
updater:

http:
  ip_ban_enabled: true
  login_attempts_threshold: 5
  use_x_forwarded_for: true
  base_url: https://hass.f-brinker.de
  trusted_proxies:
    - 127.0.0.1
    - ::1

frontend:
  themes: !include_dir_merge_named themes/

lovelace:
  mode: yaml

tts:
  - platform: google_translate
    service_name: google_say

zha:
  usb_path: /dev/ttyACM0
  radio_type: deconz
  database_path: /config/zigbee.db

emulated_roku:
  servers:
    - name: Home Assistant
      listen_port: 8060

mqtt:
  broker: !secret mqtt_broker_ip
  username: !secret mqtt_username
  password: !secret mqtt_password

mqtt_eventstream:
  publish_topic: homeassistant/master
  subscribe_topic: homeassistant-slaves/#
  ignore_event:
    - call_service
    - state_changed

telegram_bot:
    - platform: broadcast
      api_key: !secret telegram_bot
      parse_mode: markdown
      allowed_chat_ids:
        - !secret telegram_chat_fb
        - !secret telegram_chat_group

notify:
  - name: telegram_group
    platform: telegram
    chat_id: !secret telegram_chat_group
  - name: telegram_fb
    platform: telegram
    chat_id: !secret telegram_chat_fb
  - platform: command_line
    name: alexa_kitchen
    command: "/config/alexa_wrapper.sh -d 'Küche'"
  - platform: command_line
    name: alexa_livingroom
    command: "/config/alexa_wrapper.sh -d 'Wohnzimmer'"
  - platform: command_line
    name: alexa_all
    command: "/config/alexa_wrapper.sh -d 'ALL'"
#  - name: android
#    platform: fcm-android

media_player:
  - platform: androidtv
    device_class: firetv
    name: Fire TV
    host: !secret firetv_ip
    adbkey: !secret adbkey
    get_sources: true

remote:
  - platform: harmony
    name: Livingroom Harmony
    host: !secret harmonyhub_ip
    delay_secs: 0.3

person:
  - name: Jenny
    id: jenny
  - name: Florian
    id: florian
    device_trackers:
      - device_tracker.pixel_4

zone:
  - name: !secret work_name_f
    latitude: !secret work_lat_f
    longitude: !secret work_long_f
    radius: 250
    icon: mdi:briefcase
  - name: !secret work_name_j
    latitude: !secret work_lat_j
    longitude: !secret work_long_j
    radius: 500
    icon: mdi:briefcase

weather:
  - platform: openweathermap
    api_key: !secret openweathermap

ffmpeg:
  ffmpeg_bin: /usr/bin/ffmpeg

input_datetime:
    bedroom_alarm_clock_time:
        name: Wecker
        has_date: false
        has_time: true

alarm_control_panel:
  - platform: manual
    name: Home Alarm
    code: !secret alarm_code
    code_arm_required: true
    delay_time: 20
    pending_time: 30
    trigger_time: 120
    disarm_after_trigger: false
    disarmed:
      trigger_time: 0
    armed_home:
      pending_time: 0
      delay_time: 0
    armed_night:
      pending_time: 0
      delay_time: 0

shell_command:
  ssh: 'ssh -o "StrictHostKeyChecking=no" -i {{ sshkey }} {{ host }} -l {{ user }} -p {{ port }} {{ command_or_param }}'

rest_command:
  shinobi_monitorstates:
    url: "https://{{ host }}/{{ apikey }}/monitorStates/{{ group }}/{{ preset_name }}"

panel_iframe:
  chronograf:
    title: 'Chronograf'
    url: !secret url_chronograf
    icon: mdi:monitor-dashboard
  esphome:
    title: 'ESPHome'
    url: !secret url_esphome
    icon: mdi:chip

spotify:
  client_id: !secret spotify_client_id
  client_secret: !secret spotify_client_secret

tplink:
  discovery: false
  switch:
    - host: !secret tplink_ip

# External config files
alert: !include_dir_merge_named config/alerts/
alexa: !include config/alexa.yaml
automation: !include_dir_merge_list config/automations/
binary_sensor: !include_dir_merge_list config/sensors_binary/
camera: !include config/cameras.yaml
influxdb: !include config/influxdb.yaml
light: !include config/lights.yaml
scene: !include_dir_merge_list config/scenes/
script: !include_dir_merge_named config/scripts/
sensor: !include_dir_merge_list config/sensors/
switch: !include_dir_merge_list config/switches/